classification
Title: A typo in multiprocessing documentation
Type: behavior Stage: resolved
Components: Documentation, Library (Lib) Versions: Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: aruseni, davin, docs@python, pablogsal, pitrou, terry.reedy
Priority: normal Keywords:

Created on 2018-06-14 11:39 by aruseni, last changed 2018-06-19 07:34 by aruseni. This issue is now closed.

Messages (8)
msg319509 - (view) Author: aruseni (aruseni) Date: 2018-06-14 11:39
https://docs.python.org/3/library/multiprocessing.html#contexts-and-start-methods

> locks created using the fork context cannot be passed to a processes started using the spawn or forkserver start methods
msg319516 - (view) Author: Pablo Galindo Salgado (pablogsal) * (Python committer) Date: 2018-06-14 13:58
Could you make a PR correcting this bug? If you cannot I can do it instead. :)
msg319517 - (view) Author: aruseni (aruseni) Date: 2018-06-14 14:11
I just took a look at the most recent version of this file, and found out that this has already been fixed.

https://github.com/python/cpython/blob/master/Doc/library/multiprocessing.rst
msg319661 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2018-06-15 19:55
Doc fixes are routinely backported, when valid, at least within 3.x.  If this was not, I could either be intention or accident.  If the change in master was with a github PR, maybe someone just forgot the backport label.

Is the change in 3.7?  Can either of you find the commit that made the change?
msg319662 - (view) Author: Pablo Galindo Salgado (pablogsal) * (Python committer) Date: 2018-06-15 20:04
It seems that it was this commit:

https://github.com/python/cpython/commit/5619ab2db3a6c62ffaa55e8826cf67b7459fc484
msg319663 - (view) Author: Pablo Galindo Salgado (pablogsal) * (Python committer) Date: 2018-06-15 20:09
And this PR:

https://github.com/python/cpython/pull/698
msg319667 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2018-06-15 20:28
Ok, I've backported to 3.6 in https://github.com/python/cpython/pull/7721
msg319932 - (view) Author: aruseni (aruseni) Date: 2018-06-19 07:34
Thanks all!
History
Date User Action Args
2018-06-19 07:34:32arusenisetmessages: + msg319932
2018-06-15 20:28:48pitrousetstatus: open -> closed
type: behavior
messages: + msg319667

components: + Library (Lib)
resolution: fixed
stage: resolved
2018-06-15 20:09:08pablogsalsetmessages: + msg319663
2018-06-15 20:04:27pablogsalsetmessages: + msg319662
2018-06-15 19:55:39terry.reedysetnosy: + terry.reedy, pitrou, davin
messages: + msg319661
2018-06-14 14:11:01arusenisetmessages: + msg319517
2018-06-14 13:58:05pablogsalsetnosy: + pablogsal
messages: + msg319516
2018-06-14 11:39:18arusenicreate